import httputils from "@/api/httputils";
import axios from "axios";

// 已发布 - 查询图形以及所有节点信息
export function pubPlanerRead(postParams) {
    return httputils.postJson(`/labsl/planar/graph/pub/read`, postParams);
}
// 查询设备列表
export function equipQuery(postParams) {
    return httputils.postJson(`/equip-component/planar/equip`, postParams);
}
// 查询空间信息
export function spaceQuery(postParams) {
    return httputils.postJson(`/equip-component/planar/space`, postParams);
}

//读取系统图-已发布
export function readPubGroup(postParams) {
    // return httputils.postJson(`${window.topo_baseurl}/labsl/graph/pub/read`, postParams)
    // return httputils.postJson(`/labsl/graph/pub/read`, postParams)
    return axios.post(`${window.topo_baseurl}/labsl/graph/pub/read`, postParams);
}
// 已发布 - 查询平面图信息
export function pubPlanerQuery(postParams) {
    return httputils.postJson(`/labsl/planar/graph/pub/query`, postParams);
}